# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'devise-proxy/version'

Gem::Specification.new do |spec|
  spec.name = "devise-proxy"
  spec.version = DeviseProxy::VERSION
  spec.authors = ["Preston Lee"]
  spec.email = "preston.lee@prestonlee.com"
  spec.description = "A standalone Rack Middleware application that authenticates a username/password against a devise-powered backend application before forwarding the original HTTP request to the same application. Authentication is done on *every* request, so it is advisable to use devise-proxy sparingly."
  spec.summary = "A standalone Rack Middleware application that authenticates a username/password against a devise-powered backend application before forwarding the original HTTP request to the same application."
  spec.homepage = "https://github.com/preston/devise-proxy"
  spec.licenses = ["BSD"]

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'rack', '>= 1.5.2'
  spec.add_development_dependency 'rake', '>= 10.3.2'
end

